/*************************************************************************** 
  alienBlaster 
  Copyright (C) 2004 
  Paul Grathwohl, Arne Hormann, Daniel Kuehn, Soenke Schwardt

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2, or (at your option)
  any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
***************************************************************************/
#ifndef _BACKGROUND_H_
#define _BACKGROUND_H_

#include <vector>
#include <string>

class SDL_Surface;

class Background {
  public:
  Background();
  
  void clearTileList();
  void addTile( std::string tilename );
  void generateBackground( int length );
  void draw( SDL_Surface* screen );
  void draw( SDL_Surface* screen, int step );

  private:
  
  int minTileWidth;
  int minTileHeight;
  int tilesPerLine;
  int tilesPerColumn;
  int step;

  std::vector< std::string > tileNames;
  std::vector< SDL_Surface* > tileSurfaces;
};


#endif
